Subject: Re: F-15C Hasagawa 1/48
From: "Steve Bamford ARC" <[email-masked]>
To: "david horn" <[email-masked]>
Date: Mon, 29 Sep 2003 21:29:56 -0700

Hi David,
Thanks for sending in your F-15 article.  Articles usually get on ARC within 3 or 4 weeks from the day they are sent in.

Steve Bamford
Aircraft Resource Center
http://www.aircraftresourcecenter.com
 
Live like there is no tomorrow;
Love like you've never been hurt.
Work like you don't need the money.
Dance like nobody's watching.
Sing like nobody's listening.
Live like it's Heaven on Earth.

  ----- Original Message ----- 
  From: david horn 
  To: Steve Bamford 
  Sent: Tuesday, September 09, 2003 5:57 PM
  Subject: F-15C Hasagawa 1/48

    
  1/48 Hasagawa F-15C Eagle 

  by David Horn
  --------------------

        Steve Bamford will insert full sized version of photo 01.jpg here 

  There are enough F-15E Beagle reviews posted on ARC so to counter this, I am posting my F-15C.

  This aircraft was responsible for three aerial victories however, different pilots were at the controls. It was during Desert storm when this F-15C (85-102) shot down a Mig-23 on 27 January 1991 and later shot down two SU-7/17 on 7 February 1991. All victories scored used the AIM-7 Sparrow missile.

        Click on images below to see larger images
       
        Steve Bamford will insert a click-able smaller version of photo 03.jpg here.  Clicking on that photo will bring up the full sized version of photo 03.jpg 

        Steve Bamford will insert a click-able smaller version of photo 04.jpg here.  Clicking on that photo will bring up the full sized version of photo 04.jpg 

  The kit was is very high quality however I added many aftermarket items to enhance the kit. First thing to replace the engines with Aires resin nozzles that do not have the "turkey feathers". Next I used the Black Box cockpit (not the MSIP) and after I was nearly completed with the kit, found out I needed the MSIP cockpit to begin with. Finally I added AIM-120 AMRAAM and AIM-9M missiles from SOL models. The missiles were very well detailed and took time to assemble but was worth every minute.

        Steve Bamford will insert full sized version of photo 02.jpg here 

  Other enhancements include adding MSIP antennas, "remove before flight" tags and drooping the ailerons. In the cockpit, I had to add canopy detail including mirrors, framing and compass since the Black Box kit does not include these items.

        Click on images below to see larger images
       
        Steve Bamford will insert a click-able smaller version of photo 05.jpg here.  Clicking on that photo will bring up the full sized version of photo 05.jpg 

       Steve Bamford will insert a click-able smaller version of photo 06.jpg here.  Clicking on that photo will bring up the full sized version of photo 06.jpg 

       Steve Bamford will insert a click-able smaller version of photo 07.jpg here.  Clicking on that photo will bring up the full sized version of photo 07.jpg 

  Photos and text © 2003 by David Horn